package models

import "testing"

func TestUser_TableName(t *testing.T) {
	type fields struct {
		BaseModel BaseModel[UserID]
		Favorites []UserFavorite
		Sources   []UserSource
	}
	tests := []struct {
		name   string
		fields fields
		want   string
	}{
		{
			name:   "Test 1: Is name User",
			fields: fields{},
			want:   "User",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			us := User{
				BaseModel: tt.fields.BaseModel,
				Favorites: tt.fields.Favorites,
				Sources:   tt.fields.Sources,
			}
			if got := us.TableName(); got != tt.want {
				t.Errorf("TableName() = %v, want %v", got, tt.want)
			}
		})
	}
}
